Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.message
Class FormattedMessageFactory

    java.lang.Object
      org.apache.logging.log4j.message.AbstractMessageFactory
          org.apache.logging.log4j.message.FormattedMessageFactory

All Implemented Interfaces:
  Serializable, MessageFactory

    public class FormattedMessageFactory

extends AbstractMessageFactory

Creates `FormattedMessage` instances for `newMessage(String, Object...)`.

See Also:
  Serialized Form

Constructor Summary
`FormattedMessageFactory()`

Method Summary
`Message` | `newMessage(String message, Object... params)` Creates `StringFormattedMessage` instances.

Methods inherited from class org.apache.logging.log4j.message.AbstractMessageFactory
`newMessage, newMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormattedMessageFactory

    public FormattedMessageFactory()

Method Detail

### newMessage

    public Message newMessage(String message,
                              Object... params)

  Creates `StringFormattedMessage` instances.

  Specified by:
    `newMessage` in interface `MessageFactory`
  Specified by:
    `newMessage` in class `AbstractMessageFactory`
  Parameters:
    `message` - The message format.
    `params` - Message parameters.
  Returns:
    The Message object.
  See Also:
    `MessageFactory.newMessage(String, Object...)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.